var hmuOptions = {

  loadOptions: function() {
    try {
      if(HUMANURL_PREFS.prefHasUserValue('http')) {    
        http = HUMANURL_PREFS.getBoolPref('http');
        var httpCheckBox = document.getElementById('hmuHttpCheck');
        if(httpCheckBox)
           httpCheckBox.checked = http;
      }
      if(HUMANURL_PREFS.prefHasUserValue('https')) {    
        https = HUMANURL_PREFS.getBoolPref('https');
        var httpsCheckBox = document.getElementById('hmuHttpsCheck');
        if(httpsCheckBox)
           httpsCheckBox.checked = https;
      }
      if(HUMANURL_PREFS.prefHasUserValue('ftp')) {    
        ftp = HUMANURL_PREFS.getBoolPref('ftp');
        var ftpCheckBox = document.getElementById('hmuFtpCheck');
        if(ftpCheckBox)
           ftpCheckBox.checked = ftp;
      }
      if(HUMANURL_PREFS.prefHasUserValue('file')) {    
        file = HUMANURL_PREFS.getBoolPref('file');
        var fileCheckBox = document.getElementById('hmuFileCheck');
        if(fileCheckBox)
           fileCheckBox.checked = file;
      }
    }
    catch(err) {}
  },
  saveSettings: function() {

      var httpCheckBox = document.getElementById('hmuHttpCheck');
      if(httpCheckBox) {
        var http = httpCheckBox.checked;
        HUMANURL_PREFS.setBoolPref('http', http);
      }

      var httpsCheckBox = document.getElementById('hmuHttpsCheck');
      if(httpsCheckBox) {
        var https = httpsCheckBox.checked;
        HUMANURL_PREFS.setBoolPref('https', https);
      }

      var ftpCheckBox = document.getElementById('hmuFtpCheck');
      if(ftpCheckBox) {
        var ftp = ftpCheckBox.checked;
        HUMANURL_PREFS.setBoolPref('ftp', ftp);
      }

      var fileCheckBox = document.getElementById('hmuFileCheck');
      if(fileCheckBox) {
        var file = fileCheckBox.checked;
        HUMANURL_PREFS.setBoolPref('file', file);
      }

    HUMANURL_OBSERVER.notifyObservers(null, 'humanurl-Update-Settings', false);

  }

}